Bug 1793914 - openscap-1.3.2-2.fc32 FTBFS: /usr/bin/ld: OVAL/probes/unix/CMakeFiles/unix_probes_object.dir/process58_probe.c.o: /builddir/build/BUILD/openscap-1.3.2/src/OVAL/probes/unix/process58_probe.c:155: multiple definition of `boot'
Summary: openscap-1.3.2-2.fc32 FTBFS: /usr/bin/ld: OVAL/probes/unix/CMakeFiles/unix_pr...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openscap
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Černý
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F32FTBFS GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-22 09:16 UTC by Petr Pisar
Modified: 2020-02-05 14:33 UTC (History)
6 users (show)

Fixed In Version: openscap-1.3.2-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-28 08:34:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2020-01-22 09:16:14 UTC
openscap-1.3.2-2.fc32 fails to build with GCC 10 in Fedora 32:

/usr/bin/cc -fPIC -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -fasynchronous-unwind-tables -fstack-clash-protection -pipe -std=c99 -W -Wall -Wnonnull -Wshadow -Wformat -Wundef -Wno-unused-parameter -Wmissing-prototypes -Wno-unknown-pragmas -D_GNU_SOURCE -D_POSIX_C_SOURCE=200112L -DNDEBUG -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -shared -Wl,-soname,libopenscap.so.25 -o libopenscap.so.25.1.0 common/CMakeFiles/common_object.dir/bfind.c.o common/CMakeFiles/common_object.dir/compat_pthread_barrier.c.o common/CMakeFiles/common_object.dir/debug.c.o common/CMakeFiles/common_object.dir/elements.c.o common/CMakeFiles/common_object.dir/err_queue.c.o common/CMakeFiles/common_object.dir/error.c.o common/CMakeFiles/common_object.dir/list.c.o common/CMakeFiles/common_object.dir/memusage.c.o common/CMakeFiles/common_object.dir/oscap_acquire.c.o common/CMakeFiles/common_object.dir/oscap_buffer.c.o common/CMakeFiles/common_object.dir/oscap_queue.c.o common/CMakeFiles/common_object.dir/oscap_string.c.o common/CMakeFiles/common_object.dir/oscapxml.c.o common/CMakeFiles/common_object.dir/reference.c.o common/CMakeFiles/common_object.dir/text.c.o common/CMakeFiles/common_object.dir/tsort.c.o common/CMakeFiles/common_object.dir/util.c.o common/CMakeFiles/common_object.dir/xml_iterate.c.o common/CMakeFiles/common_object.dir/xmltext_priv.c.o CPE/CMakeFiles/cpe_object.dir/cpe_ctx_priv.c.o CPE/CMakeFiles/cpe_object.dir/cpe_session.c.o CPE/CMakeFiles/cpe_object.dir/cpedict.c.o CPE/CMakeFiles/cpe_object.dir/cpedict_ext_priv.c.o CPE/CMakeFiles/cpe_object.dir/cpedict_priv.c.o CPE/CMakeFiles/cpe_object.dir/cpelang.c.o CPE/CMakeFiles/cpe_object.dir/cpelang_priv.c.o CPE/CMakeFiles/cpe_object.dir/cpename.c.o CVE/CMakeFiles/cve_object.dir/cve.c.o CVE/CMakeFiles/cve_object.dir/cve_priv.c.o CVRF/CMakeFiles/cvrf_object.dir/cvrf.c.o CVRF/CMakeFiles/cvrf_object.dir/cvrf_enumeration.c.o CVRF/CMakeFiles/cvrf_object.dir/cvrf_eval.c.o CVRF/CMakeFiles/cvrf_object.dir/cvrf_priv.c.o CVSS/CMakeFiles/cvss_object.dir/cvss.c.o DS/CMakeFiles/ds_object.dir/ds_common.c.o DS/CMakeFiles/ds_object.dir/ds_rds_session.c.o DS/CMakeFiles/ds_object.dir/ds_sds_session.c.o DS/CMakeFiles/ds_object.dir/rds.c.o DS/CMakeFiles/ds_object.dir/rds_asset_index.c.o DS/CMakeFiles/ds_object.dir/rds_index.c.o DS/CMakeFiles/ds_object.dir/rds_report_index.c.o DS/CMakeFiles/ds_object.dir/rds_report_request_index.c.o DS/CMakeFiles/ds_object.dir/sds.c.o DS/CMakeFiles/ds_object.dir/sds_index.c.o source/CMakeFiles/oscapsource_object.dir/bz2.c.o source/CMakeFiles/oscapsource_object.dir/doc_type.c.o source/CMakeFiles/oscapsource_object.dir/oscap_source.c.o source/CMakeFiles/oscapsource_object.dir/schematron.c.o source/CMakeFiles/oscapsource_object.dir/validate.c.o source/CMakeFiles/oscapsource_object.dir/xslt.c.o OVAL/CMakeFiles/oval_object.dir/collectVarRefs.c.o OVAL/CMakeFiles/oval_object.dir/oval_agent.c.o OVAL/CMakeFiles/oval_object.dir/oval_session.c.o OVAL/CMakeFiles/oval_object.dir/oval_defModel.c.o OVAL/CMakeFiles/oval_object.dir/oval_sysModel.c.o OVAL/CMakeFiles/oval_object.dir/oval_affected.c.o OVAL/CMakeFiles/oval_object.dir/oval_behavior.c.o OVAL/CMakeFiles/oval_object.dir/oval_component.c.o OVAL/CMakeFiles/oval_object.dir/oval_criteriaNode.c.o OVAL/CMakeFiles/oval_object.dir/oval_definition.c.o OVAL/CMakeFiles/oval_object.dir/oval_entity.c.o OVAL/CMakeFiles/oval_object.dir/oval_enumerations.c.o OVAL/CMakeFiles/oval_object.dir/oval_filter.c.o OVAL/CMakeFiles/oval_object.dir/oval_generator.c.o OVAL/CMakeFiles/oval_object.dir/oval_glob_to_regex.c.o OVAL/CMakeFiles/oval_object.dir/oval_message.c.o OVAL/CMakeFiles/oval_object.dir/oval_object.c.o OVAL/CMakeFiles/oval_object.dir/oval_objectContent.c.o OVAL/CMakeFiles/oval_object.dir/oval_parser.c.o OVAL/CMakeFiles/oval_object.dir/oval_recordField.c.o OVAL/CMakeFiles/oval_object.dir/oval_reference.c.o OVAL/CMakeFiles/oval_object.dir/oval_directives.c.o OVAL/CMakeFiles/oval_object.dir/oval_schema_version.c.o OVAL/CMakeFiles/oval_object.dir/oval_set.c.o OVAL/CMakeFiles/oval_object.dir/oval_state.c.o OVAL/CMakeFiles/oval_object.dir/oval_stateContent.c.o OVAL/CMakeFiles/oval_object.dir/oval_sysEnt.c.o OVAL/CMakeFiles/oval_object.dir/oval_sysInfo.c.o OVAL/CMakeFiles/oval_object.dir/oval_sysInterface.c.o OVAL/CMakeFiles/oval_object.dir/oval_sysItem.c.o OVAL/CMakeFiles/oval_object.dir/oval_syschar.c.o OVAL/CMakeFiles/oval_object.dir/oval_syscharIterator.c.o OVAL/CMakeFiles/oval_object.dir/oval_test.c.o OVAL/CMakeFiles/oval_object.dir/oval_value.c.o OVAL/CMakeFiles/oval_object.dir/oval_variable.c.o OVAL/CMakeFiles/oval_object.dir/oval_variableBinding.c.o OVAL/CMakeFiles/oval_object.dir/oval_sys_parser.c.o OVAL/CMakeFiles/oval_object.dir/oval_varModel.c.o OVAL/CMakeFiles/oval_object.dir/oval_vardefMapping.c.o OVAL/CMakeFiles/oval_object.dir/oval_probe.c.o OVAL/CMakeFiles/oval_object.dir/oval_probe_hint.c.o OVAL/CMakeFiles/oval_object.dir/oval_probe_session.c.o OVAL/CMakeFiles/oval_object.dir/oval_probe_handler.c.o OVAL/CMakeFiles/oval_object.dir/probes/probe-api.c.o OVAL/CMakeFiles/oval_object.dir/probes/probe-table.c.o OVAL/CMakeFiles/oval_object.dir/oval_sexp.c.o OVAL/CMakeFiles/oval_object.dir/fts_sun.c.o OVAL/CMakeFiles/oval_object.dir/probes/fsdev.c.o OVAL/CMakeFiles/oval_object.dir/probes/oval_fts.c.o OVAL/CMakeFiles/oval_object.dir/oval_probe_ext.c.o OVAL/adt/CMakeFiles/ovaladt_object.dir/oval_collection.c.o OVAL/adt/CMakeFiles/ovaladt_object.dir/oval_smc.c.o OVAL/adt/CMakeFiles/ovaladt_object.dir/oval_smc_iterator.c.o OVAL/adt/CMakeFiles/ovaladt_object.dir/oval_string_map.c.o OVAL/results/CMakeFiles/ovalcmp_object.dir/oval_cmp.c.o OVAL/results/CMakeFiles/ovalcmp_object.dir/oval_cmp_basic.c.o OVAL/results/CMakeFiles/ovalcmp_object.dir/oval_cmp_evr_string.c.o OVAL/results/CMakeFiles/ovalcmp_object.dir/oval_cmp_ip_address.c.o OVAL/results/CMakeFiles/ovalresults_object.dir/oval_resModel.c.o OVAL/results/CMakeFiles/ovalresults_object.dir/oval_resultCriteriaNode.c.o OVAL/results/CMakeFiles/ovalresults_object.dir/oval_resultDefinition.c.o OVAL/results/CMakeFiles/ovalresults_object.dir/oval_resultDefinitionIterator.c.o OVAL/results/CMakeFiles/ovalresults_object.dir/oval_resultItem.c.o OVAL/results/CMakeFiles/ovalresults_object.dir/oval_resultSystem.c.o OVAL/results/CMakeFiles/ovalresults_object.dir/oval_resultTest.c.o OVAL/results/CMakeFiles/ovalresults_object.dir/oval_resultTestIterator.c.o OVAL/results/CMakeFiles/ovalresults_object.dir/oval_status_counter.c.o OVAL/probes/SEAP/generic/rbt/CMakeFiles/rbt_object.dir/rbt_common.c.o OVAL/probes/SEAP/generic/rbt/CMakeFiles/rbt_object.dir/rbt_i32.c.o OVAL/probes/SEAP/generic/rbt/CMakeFiles/rbt_object.dir/rbt_i64.c.o OVAL/probes/SEAP/generic/rbt/CMakeFiles/rbt_object.dir/rbt_str.c.o XCCDF/CMakeFiles/xccdf_object.dir/benchmark.c.o XCCDF/CMakeFiles/xccdf_object.dir/elements.c.o XCCDF/CMakeFiles/xccdf_object.dir/item.c.o XCCDF/CMakeFiles/xccdf_object.dir/profile.c.o XCCDF/CMakeFiles/xccdf_object.dir/resolve.c.o XCCDF/CMakeFiles/xccdf_object.dir/result.c.o XCCDF/CMakeFiles/xccdf_object.dir/result_scoring.c.o XCCDF/CMakeFiles/xccdf_object.dir/rule.c.o XCCDF/CMakeFiles/xccdf_object.dir/tailoring.c.o XCCDF/CMakeFiles/xccdf_object.dir/value.c.o XCCDF/CMakeFiles/xccdf_object.dir/xccdf_session.c.o XCCDF_POLICY/CMakeFiles/xccdfPolicy_object.dir/check_engine_plugin.c.o XCCDF_POLICY/CMakeFiles/xccdfPolicy_object.dir/reporter.c.o XCCDF_POLICY/CMakeFiles/xccdfPolicy_object.dir/xccdf_policy.c.o XCCDF_POLICY/CMakeFiles/xccdfPolicy_object.dir/xccdf_policy_engine.c.o XCCDF_POLICY/CMakeFiles/xccdfPolicy_object.dir/xccdf_policy_model.c.o XCCDF_POLICY/CMakeFiles/xccdfPolicy_object.dir/xccdf_policy_remediate.c.o XCCDF_POLICY/CMakeFiles/xccdfPolicy_object.dir/xccdf_policy_resolve.c.o XCCDF_POLICY/CMakeFiles/xccdfPolicy_object.dir/xccdf_policy_substitute.c.o ../compat/CMakeFiles/compat_object.dir/dev_to_tty.c.o OVAL/probes/probe/CMakeFiles/probe_object.dir/entcmp.c.o OVAL/probes/probe/CMakeFiles/probe_object.dir/icache.c.o OVAL/probes/probe/CMakeFiles/probe_object.dir/input_handler.c.o OVAL/probes/probe/CMakeFiles/probe_object.dir/ncache.c.o OVAL/probes/probe/CMakeFiles/probe_object.dir/option.c.o OVAL/probes/probe/CMakeFiles/probe_object.dir/probe.c.o OVAL/probes/probe/CMakeFiles/probe_object.dir/probe_main.c.o OVAL/probes/probe/CMakeFiles/probe_object.dir/rcache.c.o OVAL/probes/probe/CMakeFiles/probe_object.dir/worker.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/MurmurHash3.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/generic/bfind.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/generic/bitmap.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/generic/common.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/generic/spb.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/generic/strbuf.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/generic/strto.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/generic/xbase64.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/sch_queue.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/seap-command-backendT.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/seap-command.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/seap-descriptor.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/seap-error.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/seap-message.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/seap-packet.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/seap-packetq.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/seap.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/sexp-ID.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/sexp-atomic.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/sexp-datatype.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/sexp-manip.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/sexp-manip_r.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/sexp-output.c.o OVAL/probes/SEAP/CMakeFiles/seap_object.dir/sexp-value.c.o OVAL/probes/independent/CMakeFiles/independent_probes_object.dir/environmentvariable_probe.c.o OVAL/probes/independent/CMakeFiles/independent_probes_object.dir/environmentvariable58_probe.c.o OVAL/probes/independent/CMakeFiles/independent_probes_object.dir/family_probe.c.o OVAL/probes/independent/CMakeFiles/independent_probes_object.dir/filehash_probe.c.o OVAL/probes/independent/CMakeFiles/independent_probes_object.dir/filehash58_probe.c.o OVAL/probes/independent/CMakeFiles/independent_probes_object.dir/system_info_probe.c.o OVAL/probes/independent/CMakeFiles/independent_probes_object.dir/textfilecontent_probe.c.o OVAL/probes/independent/CMakeFiles/independent_probes_object.dir/textfilecontent54_probe.c.o OVAL/probes/independent/CMakeFiles/independent_probes_object.dir/variable_probe.c.o OVAL/probes/independent/CMakeFiles/independent_probes_object.dir/xmlfilecontent_probe.c.o OVAL/probes/unix/CMakeFiles/unix_probes_object.dir/dnscache_probe.c.o OVAL/probes/unix/CMakeFiles/unix_probes_object.dir/file_probe.c.o OVAL/probes/unix/CMakeFiles/unix_probes_object.dir/gconf_probe.c.o OVAL/probes/unix/CMakeFiles/unix_probes_object.dir/interface_probe.c.o OVAL/probes/unix/CMakeFiles/unix_probes_object.dir/password_probe.c.o OVAL/probes/unix/CMakeFiles/unix_probes_object.dir/process_probe.c.o OVAL/probes/unix/CMakeFiles/unix_probes_object.dir/process58_probe.c.o OVAL/probes/unix/CMakeFiles/unix_probes_object.dir/routingtable_probe.c.o OVAL/probes/unix/CMakeFiles/unix_probes_object.dir/runlevel_probe.c.o OVAL/probes/unix/CMakeFiles/unix_probes_object.dir/shadow_probe.c.o OVAL/probes/unix/CMakeFiles/unix_probes_object.dir/symlink_probe.c.o OVAL/probes/unix/CMakeFiles/unix_probes_object.dir/sysctl_probe.c.o OVAL/probes/unix/CMakeFiles/unix_probes_object.dir/uname_probe.c.o OVAL/probes/unix/CMakeFiles/unix_probes_object.dir/xinetd_probe.c.o OVAL/probes/unix/linux/CMakeFiles/linux_probes_object.dir/iflisteners_probe.c.o OVAL/probes/unix/linux/CMakeFiles/linux_probes_object.dir/inetlisteningservers_probe.c.o OVAL/probes/unix/linux/CMakeFiles/linux_probes_object.dir/partition_probe.c.o OVAL/probes/unix/linux/CMakeFiles/linux_probes_object.dir/probe-chroot.c.o OVAL/probes/unix/linux/CMakeFiles/linux_probes_object.dir/rpm-helper.c.o OVAL/probes/unix/linux/CMakeFiles/linux_probes_object.dir/rpminfo_probe.c.o OVAL/probes/unix/linux/CMakeFiles/linux_probes_object.dir/rpmverify_probe.c.o OVAL/probes/unix/linux/CMakeFiles/linux_probes_object.dir/rpmverifyfile_probe.c.o OVAL/probes/unix/linux/CMakeFiles/linux_probes_object.dir/rpmverifypackage_probe.c.o OVAL/probes/unix/linux/CMakeFiles/linux_probes_object.dir/selinuxboolean_probe.c.o OVAL/probes/unix/linux/CMakeFiles/linux_probes_object.dir/selinuxsecuritycontext_probe.c.o OVAL/probes/unix/linux/CMakeFiles/linux_probes_object.dir/systemdunitdependency_probe.c.o OVAL/probes/unix/linux/CMakeFiles/linux_probes_object.dir/systemdunitproperty_probe.c.o OVAL/probes/crapi/CMakeFiles/crapi_object.dir/crapi.c.o OVAL/probes/crapi/CMakeFiles/crapi_object.dir/digest.c.o OVAL/probes/crapi/CMakeFiles/crapi_object.dir/md5.c.o OVAL/probes/crapi/CMakeFiles/crapi_object.dir/rmd160.c.o OVAL/probes/crapi/CMakeFiles/crapi_object.dir/sha1.c.o OVAL/probes/crapi/CMakeFiles/crapi_object.dir/sha2.c.o  -Wl,-rpath,:::::::::: -lxml2 -lxslt -lexslt -lpcre -lcurl -lpthread -lbz2 -lrpm -lrpmio -lgcrypt -lgconf-2 -lglib-2.0 -lgobject-2.0 -lselinux -lblkid -ldbus-1 -lacl -lcap
[...]
/usr/bin/ld: OVAL/probes/unix/CMakeFiles/unix_probes_object.dir/process58_probe.c.o: in function `$d':
/builddir/build/BUILD/openscap-1.3.2/src/OVAL/probes/unix/process58_probe.c:155: multiple definition of `boot'; OVAL/probes/unix/CMakeFiles/unix_probes_object.dir/process_probe.c.o:/builddir/build/BUILD/openscap-1.3.2/src/OVAL/probes/unix/process_probe.c:109: first defined here

Comment 1 Jan Černý 2020-02-05 14:33:47 UTC
The patch has also been merged in upstream https://github.com/OpenSCAP/openscap/pull/1469


Note You need to log in before you can comment on or make changes to this bug.